<?php
// $Id: admin.php,v 1.8 2006/09/29 12:48:54 ohwada Exp $

// 2006-09-20 K.OHWWADA
// show content with html
// table manage

// 2006-07-08 K.OHWWADA
// description at main

// 2006-06-04 K.OHWADA
// _AM_RSSC_BUILD, etc

// 2006-01-20 K.OHWADA
// _AM_RSSC_ID_ASC

//=========================================================
// RSS Center Module
// 2006-01-01 K.OHWADA
//=========================================================

// --- define language begin ---
if( !defined('RSSC_LANG_AM_LOADED') ) 
{

define('RSSC_LANG_AM_LOADED', 1);

// === menu ===
define('_AM_RSSC_CONF', 'RSS Center Management');
define('_AM_RSSC_LIST_LINK', 'Link List');
define('_AM_RSSC_LIST_BLACK', 'Blacklist List');
define('_AM_RSSC_LIST_WHITE', 'Whitelist List');
define('_AM_RSSC_LIST_FEED', 'Feed List');
define('_AM_RSSC_ADD_LINK', 'Add Link');
define('_AM_RSSC_ADD_BLACK', 'Add Blacklist');
define('_AM_RSSC_ADD_WHITE', 'Add Whitelist');
define('_AM_RSSC_ADD_KEYWORD', 'Add Keyword');
define('_AM_RSSC_ARCHIVE_MANAGE', 'Archive Management');
define('_AM_RSSC_COMMAND_MANAGE', 'Command Management');
define('_AM_RSSC_UPDATE_MANAGE', 'Import Managemnet');
define('_AM_RSSC_VIEW_RSS', 'View RDF/RSS/ATOM');
define('_AM_RSSC_GOTO_MODULE', 'Goto Module');

// === index & config ===
define('_AM_RSSC_FORM_BASIC', 'Basic Config');
define('_AM_RSSC_FORM_BASIC_DESC', 'It is used in common by all modules');
define('_AM_RSSC_FORM_MAIN', 'Main View Config');
define('_AM_RSSC_FORM_MAIN_DESC', 'It is used on the main page of this module');
define('_AM_RSSC_FORM_BLOCK', 'Block View Coinfig');
define('_AM_RSSC_FORM_BLOCK_DESC', 'It is used on the block of this module');
define('_AM_RSSC_FORM_BIN', 'Command Config');
define('_AM_RSSC_FORM_BIN_DESC', 'It is used on bin command');
define('_AM_RSSC_INIT_NOT','The config table is not initialized');
define('_AM_RSSC_INIT_EXEC','Initialized the config table');
define('_AM_RSSC_VERSION_NOT','It is not version  %s');
define('_AM_RSSC_UPGRADE_EXEC','Upgrade the config table');
define('_AM_RSSC_WARNING_NOT_WRITABLE','Not writable the directory');
define('_AM_RSSC_CONF_NAME','Item');
define('_AM_RSSC_DBUPDATED', 'Database Updated Successfully!');
define('_AM_RSSC_FAILUPDATE', 'Failed saving data to database');
define('_AM_RSSC_FAILDELETE', 'Failed deleting data from database');
define('_AM_RSSC_THERE_ARE_LINKS','There are <b>%s</b> Links in database');
define('_AM_RSSC_THERE_ARE_FEEDS','There are <b>%s</b> Feeds in database');

// === link manage ===
define('_AM_RSSC_LINK_MANAGE','Link Management');
define('_AM_RSSC_MOD_LINK','Modify Link');
define('_AM_RSSC_DEL_LINK','Delete Link');
define('_AM_RSSC_SHOW_RSS',  'Show RSS');
define('_AM_RSSC_SHOW_FEED', 'Show Feed');
define('_AM_RSSC_FEED_BELONG_LINK', 'Show feeds belonging to this link');
define('_AM_RSSC_ERROR_FILL', 'Error: Enter %s');
define('_AM_RSSC_ERROR_ILLEGAL','Error: Illegal %s');

// === black list manage ===
define('_AM_RSSC_BLACK_MANAGE','Blacklist Managemnet');
define('_AM_RSSC_MOD_BLACK','Modify Blacklist');
define('_AM_RSSC_DEL_BLACK','Delete Blacklist');
define('_AM_RSSC_FEED_MATCH_LINK', 'Show feeds which is matched with this list');

// === white list manage ===
define('_AM_RSSC_WHITE_MANAGE','Whitelist Managemnet');
define('_AM_RSSC_MOD_WHITE','Modify Whitelist');
define('_AM_RSSC_DEL_WHITE','Delete Whitelist');

// === feed list manage ===
define('_AM_RSSC_ADD_FEED','Add Feed');
define('_AM_RSSC_MOD_FEED','Modify Feed');
define('_AM_RSSC_DEL_FEED','Delete Feed');
define('_AM_RSSC_THERE_ARE_MATCH','There are <b>%s</b> datas which is matched to with conditions');
define('_AM_RSSC_CONDITION','Condition');

// === archive manage ===
define('_AM_RSSC_REFRESH', 'Refresh Archive');
define('_AM_RSSC_REFRESH_NEXT','Check Next %s');
define('_AM_RSSC_LINK_LIMIT', 'Link Limit');
define('_AM_RSSC_LINK_OFFSET','LInk Offset');
define('_AM_RSSC_FEED_CLEAR','Clear Archive');
define('_AM_RSSC_FEED_CLEAR_OLD','Clears the older records');
define('_AM_RSSC_FEED_CLEAR_NUM','Clears the older records, if it becomes more than the specified number');

// refresh result
define('_AM_RSSC_NO_REFRESH','No link to update');
define('_AM_RSSC_TIME_START','Start Time');
define('_AM_RSSC_TIME_END','Finish Time');
define('_AM_RSSC_TIME_ELAPSE','Elapse time');
define('_AM_RSSC_MIN_SEC','%s min %s sec');
define('_AM_RSSC_NUM_LINK_TOTAL','Total Links');
define('_AM_RSSC_NUM_LINK_TARGET','The number of target links');
define('_AM_RSSC_NUM_LINK_BROKEN','The number of broken links');
define('_AM_RSSC_NUM_LINK_UPDATED','The number of updated links');
define('_AM_RSSC_NUM_FEED_UPDATED','The number of updated feeds');
define('_AM_RSSC_NUM_FEED_CLEARED','The number of cleared feeds');
define('_AM_RSSC_NUM_LINKS','links');
define('_AM_RSSC_NUM_FEEDS','feeds');
define('_AM_RSSC_FAILGET', 'Cannot get XML from %s');
define('_AM_RSSC_GOTOTOP', 'Goto Top');

// === configuration ===
// basic configuration
define('_AM_RSSC_CONF_FEED_LIMIT', 'The maximum number of feeds');
define('_AM_RSSC_CONF_FEED_LIMIT_DESC', 'Enter the maximum number of feeds stored in feed table<br />Clears the older records, when it becomes more than this value<br /><b>0</b> is umlimited');
define('_AM_RSSC_CONF_RSS_ATOM', 'Select RSS or ATOM');
define('_AM_RSSC_CONF_RSS_ATOM_DESC', 'Select RSS or ATOM, when both RSS URL and ATOM URL are detected');
define('_AM_RSSC_CONF_RSS_ATOM_SEL_ATOM', 'ATOM');
define('_AM_RSSC_CONF_RSS_ATOM_SEL_RSS',  'RSS');
define('_AM_RSSC_CONF_RSS_PARSER', 'Select RSS paser');
define('_AM_RSSC_CONF_RSS_PARSER_SELF',  'RSSC parser');
define('_AM_RSSC_CONF_RSS_PARSER_XOOPS', 'XOOPS RSS Parser');
define('_AM_RSSC_CONF_ATOM_PARSER', 'select ATOM parser');
define('_AM_RSSC_CONF_ATOM_PARSER_0', 'RSSC parser');
define('_AM_RSSC_CONF_ATOM_PARSER_1', '');
define('_AM_RSSC_CONF_RSS_MODE', 'Initial value of RSS mode');
define('_AM_RSSC_CONF_XML_SAVE', 'Save XML');
define('_AM_RSSC_CONF_XML_SAVE_DESC', 'save gettig XML to link table');
define('_AM_RSSC_CONF_FUTURE_DAYS', 'Future Days');
define('_AM_RSSC_CONF_FUTURE_DAYS_DESC', "A unit is days<br />Not show feed, if feed's date is rather than this days");

// show configuration
define('_AM_RSSC_CONF_SHOW_ORDER','Order to show');
//define('_AM_RSSC_CONF_SHOW_ORDER_DESC','');
define('_AM_RSSC_CONF_SHOW_ORDER_UPDATED','Latest Updated');
define('_AM_RSSC_CONF_SHOW_ORDER_PUBLISHED','Latest Published');
define('_AM_RSSC_CONF_SHOW_LINKS_PER_PAGE','Links per page');
//define('_AM_RSSC_CONF_SHOW_LINKS_PER_PAGE_DESC','');
define('_AM_RSSC_CONF_SHOW_FEEDS_PER_PAGE','Feeds per page');
//define('_AM_RSSC_CONF_SHOW_FEEDS_PER_PAGE_DESC','');
define('_AM_RSSC_CONF_SHOW_FEEDS_PER_LINK','Feeds per link');
//define('_AM_RSSC_CONF_SHOW_FEEDS_PER_LINK_DESC','');
define('_AM_RSSC_CONF_SHOW_MAX_TITLE','The maximum number of characters of Title');
define('_AM_RSSC_CONF_SHOW_MAX_TITLE_DESC','HTML tags are stripped, when more than this number<br /><b>-1</b> is unlimited');
define('_AM_RSSC_CONF_SHOW_MAX_SUMMARY','The maximum number of characters of Summary');
define('_AM_RSSC_CONF_SHOW_MAX_SUMMARY_DESC','<b>-1</b> is unlimited');

// main configuration
define('_AM_RSSC_CONF_MAIN_SEARCH_MIN','The mimimum number of characters of Search keyword');
//define('_AM_RSSC_CONF_MAIN_SEARCH_MIN_DESC','');

// bin configuration
define('_AM_RSSC_CONF_BIN_PASS','Password');
//define('_AM_RSSC_CONF_BIN_PASS_DESC','');
define('_AM_RSSC_CONF_BIN_SEND','Send Mail');
//define('_AM_RSSC_CONF_BIN_SEND_DESC','');
define('_AM_RSSC_CONF_BIN_MAILTO','Email to send');
//define('_AM_RSSC_CONF_BIN_MAILTO_DESC','');

// === view rss ===
define('_AM_RSSC_VIEW_RSS_OPTION', 'Option Setting');
define('_AM_RSSC_NOT_SELECT_LINK','The link is not selected');
define('_AM_RSSC_PLEASE_SELECT_LINK','Select from link list, or Enter LINK ID');
define('_AM_RSSC_VIEW_PARSER', 'Parser Setting');
define('_AM_RSSC_VIEW_SAVE_ETC', 'Save to table, etc');
define('_AM_RSSC_VIEW_MODE', 'View Mode');
define('_AM_RSSC_VIEW_MODE_DESC', 'Dont save in table, when mode is 0');
define('_AM_RSSC_VIEW_MODE_CURRENT', 'mode 0: getting XML data');
define('_AM_RSSC_VIEW_MODE_LINK', 'mode 1: XML data saved in link table');
define('_AM_RSSC_VIEW_MODE_FEED', 'mode 2: data saved in feed table');
define('_AM_RSSC_VIEW_SANITIZE', 'HTML Sanitize');
define('_AM_RSSC_VIEW_TITLE_HTML','Show HTML tags of Title');
define('_AM_RSSC_VIEW_TITLE_HTML_DESC', 'When select YES, show as it is including HTML tags. <br />When select NO, show it after stripping HTML tags. ');
define('_AM_RSSC_VIEW_CONTENT_HTML','Show HTML tags of Content');
define('_AM_RSSC_VIEW_CONTENT_HTML_DESC', 'When select YES, show as it is including HTML tags. <br />When select NO, show it after stripping HTML tags. ');
define('_AM_RSSC_VIEW_MAX_CONTENT','The maximum number of characters of Content');
define('_AM_RSSC_VIEW_MAX_CONTENT_DESC','HTML tags are stripped, when more than this number<br /><b>-1</b> is unlimited');
define('_AM_RSSC_VIEW_LINK_UPDATE', 'Update Link table');
define('_AM_RSSC_VIEW_FEED_UPDATE', 'Update Feed table');
define('_AM_RSSC_VIEW_FORCE_DISCOVER', 'Force to discover RSS URL');
define('_AM_RSSC_VIEW_FORCE_DISCOVER_DESC', 'Overwrite RDF/RSS/ATOM URL, after detecting this URL not related to RSS mode');
define('_AM_RSSC_VIEW_FORCE_UPDATE', 'Force to update Archive');
define('_AM_RSSC_VIEW_FORCE_UPDATE_DESC', 'Overwrite Archive, after getting RDF/RSS/ATOM not related to Refresh Interval');
define('_AM_RSSC_VIEW_FORCE_OVERWRITE', 'Force to update Feed table');
define('_AM_RSSC_VIEW_FORCE_OVERWRITE_DESC', 'Overwrite Feed table, even if exists the the same data of RDF/RSS/ATOM URL');
define('_AM_RSSC_VIEW_PRINT_LOG', 'Show Log');
define('_AM_RSSC_VIEW_PRINT_LOG_DESC', 'Show log simultaneously during executing');
define('_AM_RSSC_VIEW_PRINT_ERROR', 'Show Error');
define('_AM_RSSC_VIEW_PRINT_ERROR_DESC', 'Show error simultaneously during executing');

// === command manage ===
define('_AM_RSSC_CREATE_CONFIG', 'Create Config File');
define('_AM_RSSC_TEST_BIN_REFRESH', 'Test to execute bin/refresh.php');

// === update manage ===
define('_AM_RSSC_IMPORT_XOOPSHEADLINE', 'Import from XoopsHeadline');
define('_AM_RSSC_IMPORT_WEBLINKS', 'Import from WebLinks');

// === rename ===
define('_AM_RSSC_VIEW_FEED_PERPAGE', _AM_RSSC_CONF_SHOW_FEEDS_PER_PAGE);
define('_AM_RSSC_VIEW_MAX_TITLE', _AM_RSSC_CONF_SHOW_MAX_TITLE);
define('_AM_RSSC_VIEW_MAX_TITLE_DESC', _AM_RSSC_CONF_SHOW_MAX_TITLE_DESC);
define('_AM_RSSC_VIEW_MAX_SUMMARY', _AM_RSSC_CONF_SHOW_MAX_SUMMARY);
define('_AM_RSSC_VIEW_MAX_SUMMARY_DESC', _AM_RSSC_CONF_SHOW_MAX_SUMMARY_DESC);
define('_AM_RSSC_VIEW_XML_SAVE', _AM_RSSC_CONF_XML_SAVE);
define('_AM_RSSC_VIEW_XML_SAVE_DESC', _AM_RSSC_CONF_XML_SAVE_DESC);

// 2006-01-20
define('_AM_RSSC_ID_ASC', 'ID Ascent');
define('_AM_RSSC_ID_DESC','ID Descent');

// === 2006-06-04 ===
// build rss
define('_AM_RSSC_BUILD', 'Build RDF/RSS/ATOM');
define('_AM_RSSC_BUILD_DSC',  'Build and show RDF/RSS/ATOM for debug');
define('_AM_RSSC_BUILD_RDF',  'Build RDF');
define('_AM_RSSC_BUILD_RSS',  'Build RSS');
define('_AM_RSSC_BUILD_ATOM', 'Build ATOM');

// parse rss
define('_AM_RSSC_PARSE_RSS', 'Parse RDF/RSS/ATOM');

// refresh link
//define('_AM_RSSC_REFRESH_LINK', 'Refresh RDF/RSS/ATOM feeds');
//define('_AM_RSSC_REFRESH_LINK_DSC', 'Then, refresh RSS feeds <br />Discover <b>RDF/RSS/ATOM URL</b> automatically and detect <b>Encoding</b> automatically, <br />if they are not set up.');
//define('_AM_RSSC_REFRESH_LINK_FINISHED', 'Refresh feeds finished');

// === 2006-07-08 ===
// description at main
define('_AM_RSSC_CONF_INDEX_DESC','Description at Main page');
define('_AM_RSSC_CONF_INDEX_DESC_DSC', 'Enter description note, when you want to display at a main page.');
define('_AM_RSSC_CONF_INDEX_DESC_DEFAULT', '<div align="center" style="color: #0000ff">Here are description note.<br />You can edit description note at "Module Configuration".<br /></div><br />');

// link table
define('_AM_RSSC_LINK_DESC','Discover <b>RDF/RSS/ATOM URL</b> automatically and detect <b>Encoding</b> automatically, <br />when you dont fill, <br />if web site support "RSS Auto Discovery"');
//define('_AM_RSSC_LINK_EXIST', 'Already exists this "RDF/RSS/ATOM URL"');
//define('_AM_RSSC_LINK_EXIST_MORE','There are twe or more links which have same "RDF/RSS/ATOM URL" ');
//define('_AM_RSSC_AUTO_FIND_FAILD','RSS Auto Discovery Faild');
define('_AM_RSSC_LINK_FORCE','Froce to save');

// black & white table
define('_AM_RSSC_BLACK_MEMO','Memo');

// === 2006-09-20 ===
// show content with html
define('_AM_RSSC_CONF_SHOW_TITLE_HTML','Use of HTML tag of the title');
define('_AM_RSSC_CONF_SHOW_TITLE_HTML_DSC', 'When selcet "YES", show title with HTML tag, if title have HTML tag. <br />When selcet "NO", show title striping HTML tag. ');
define('_AM_RSSC_CONF_SHOW_CONTENT_HTML','Use of HTML tag of the content');
define('_AM_RSSC_CONF_SHOW_CONTENT_HTML_DSC', 'When selcet "YES", show content with HTML tag, if content have HTML tag. <br />When selcet "NO", show content striping HTML tag. ');
define('_AM_RSSC_CONF_SHOW_MAX_CONTENT','The maximum number of characters of Content');
define('_AM_RSSC_CONF_SHOW_MAX_CONTENT_DSC', 'HTML tags are stripped, when more than this number<br /><b>-1</b> is unlimited');
define('_AM_RSSC_CONF_SHOW_NUM_CONTENT','Maximum number of RSS/ATOM feeds displayed content');
define('_AM_RSSC_CONF_SHOW_NUM_CONTENT_DSC', 'Enter the maximum number of RSS/ATOM feeds displayed content.');
define('_AM_RSSC_CONF_SHOW_BLOG_LID','Link ID to show blog');
//define('_AM_RSSC_CONF_SHOW_BLOG_LID_DSC', 'Enter Link ID to be show blog.');

define('_AM_RSSC_TABLE_MANAGE','DB Table Manage');
}
// --- define language begin ---

?>